Create a connection
Create a connection for a provider auth scheme that takes a secret form (API key, token, password): pass label, public_config and credentials as described by integrations.catalog.get. OAuth schemes use integrations.authorizations.begin. Credentials are stored encrypted and never returned.
Authorization
bearerApiKey Create a scoped API key in the Adlass settings.
In: header
Header Parameters
Optional correlation identifier.
length <= 128A unique key for this intended write. Reuse it only for an identical retry.
1 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/integrations/connections" \ -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \ -H "Content-Type: application/json" \ -d '{ "provider_key": "klaviyo", "label": "Customer documents", "credentials": {} }'{ "id": "123e4567-e89b-42d3-a456-426614174000", "provider_key": "klaviyo", "auth_scheme": "example", "label": "Customer documents", "external_identity": "example", "public_config": {}, "status": "ACTIVE", "enabled": false, "safe_error_code": "example", "test_summary": {}, "provider_contract_digest": "example", "last_tested_at": "example", "created_at": "example", "updated_at": "example", "setup_required": false, "offered_operations": [], "scope": {}}